> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/assistants.md).

# Assistants

## Get all assistants for a project.

> Returns a paged, searchable and sortable list of the assistants in the project.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription"],"type":"string"},"Jylo.Projects.Models.Chat.AssistantReadModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"documents":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"},"documentMetadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties"},"nullable":true},"estimatedTokenCount":{"type":"integer","format":"int32"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"indexingNotPossible":{"type":"boolean","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"extension":{"type":"string","nullable":true},"convertedToPdf":{"type":"boolean"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"progress":{"type":"number","format":"double","nullable":true},"path":{"type":"string","nullable":true},"parent":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.BreadcrumbModel"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"pageCount":{"type":"integer","format":"int32","nullable":true},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.BreadcrumbModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"isDirectory":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint"],"type":"string"},"Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties":{"type":"object","properties":{"paragraphs":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Paragraph"},"nullable":true},"documentObjectIdentifier":{"type":"string","format":"uuid"},"documentType":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.EDocumentType"},"comparedDocumentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Paragraph":{"required":["boundingRegions","content","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"content":{"type":"string","nullable":true},"boundingRegions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Bounding"},"nullable":true},"role":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Role"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Bounding":{"required":["points"],"type":"object","properties":{"points":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"page":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Role":{"enum":["title","sectionHeading","pageHeader","pageFooter","pageNumber"],"type":"string"},"Jylo.Toolkit.Entities.DocumentEntities.EDocumentType":{"enum":["standard","comparison"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants":{"get":{"tags":["Assistants"],"summary":"Get all assistants for a project.","description":"Returns a paged, searchable and sortable list of the assistants in the project.","parameters":[{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Create a new assistant.

> Creates a new assistant in the project, optionally attaching documents the assistant can reference.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Chat.AssistantWriteModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"documentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.Chat.AssistantReadModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"documents":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"},"documentMetadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties"},"nullable":true},"estimatedTokenCount":{"type":"integer","format":"int32"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"indexingNotPossible":{"type":"boolean","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"extension":{"type":"string","nullable":true},"convertedToPdf":{"type":"boolean"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"progress":{"type":"number","format":"double","nullable":true},"path":{"type":"string","nullable":true},"parent":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.BreadcrumbModel"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"pageCount":{"type":"integer","format":"int32","nullable":true},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.BreadcrumbModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"isDirectory":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint"],"type":"string"},"Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties":{"type":"object","properties":{"paragraphs":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Paragraph"},"nullable":true},"documentObjectIdentifier":{"type":"string","format":"uuid"},"documentType":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.EDocumentType"},"comparedDocumentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Paragraph":{"required":["boundingRegions","content","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"content":{"type":"string","nullable":true},"boundingRegions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Bounding"},"nullable":true},"role":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Role"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Bounding":{"required":["points"],"type":"object","properties":{"points":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"page":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Role":{"enum":["title","sectionHeading","pageHeader","pageFooter","pageNumber"],"type":"string"},"Jylo.Toolkit.Entities.DocumentEntities.EDocumentType":{"enum":["standard","comparison"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants":{"post":{"tags":["Assistants"],"summary":"Create a new assistant.","description":"Creates a new assistant in the project, optionally attaching documents the assistant can reference.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantWriteModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantWriteModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantWriteModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get an assistant by object identifier.

> Returns the full details of a single assistant identified by its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Chat.AssistantReadModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"documents":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"},"documentMetadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties"},"nullable":true},"estimatedTokenCount":{"type":"integer","format":"int32"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"indexingNotPossible":{"type":"boolean","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"extension":{"type":"string","nullable":true},"convertedToPdf":{"type":"boolean"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"progress":{"type":"number","format":"double","nullable":true},"path":{"type":"string","nullable":true},"parent":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.BreadcrumbModel"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"pageCount":{"type":"integer","format":"int32","nullable":true},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.BreadcrumbModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"isDirectory":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint"],"type":"string"},"Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties":{"type":"object","properties":{"paragraphs":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Paragraph"},"nullable":true},"documentObjectIdentifier":{"type":"string","format":"uuid"},"documentType":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.EDocumentType"},"comparedDocumentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Paragraph":{"required":["boundingRegions","content","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"content":{"type":"string","nullable":true},"boundingRegions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Bounding"},"nullable":true},"role":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Role"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Bounding":{"required":["points"],"type":"object","properties":{"points":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"page":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Role":{"enum":["title","sectionHeading","pageHeader","pageFooter","pageNumber"],"type":"string"},"Jylo.Toolkit.Entities.DocumentEntities.EDocumentType":{"enum":["standard","comparison"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants/{objectIdentifier}":{"get":{"tags":["Assistants"],"summary":"Get an assistant by object identifier.","description":"Returns the full details of a single assistant identified by its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Update an assistant.

> Updates an assistant's settings such as its name, auto-rename behaviour, or the model it uses.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Chat.AssistantUpdateModel":{"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"autoRename":{"type":"boolean","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.Chat.AssistantReadModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"documents":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"},"documentMetadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties"},"nullable":true},"estimatedTokenCount":{"type":"integer","format":"int32"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"indexingNotPossible":{"type":"boolean","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"extension":{"type":"string","nullable":true},"convertedToPdf":{"type":"boolean"},"fileType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.FileType"},"uploadFailedReason":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.UploadFailedReason"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"progress":{"type":"number","format":"double","nullable":true},"path":{"type":"string","nullable":true},"parent":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.BreadcrumbModel"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"},"documentUploadSource":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DocumentUploadSource"},"pageCount":{"type":"integer","format":"int32","nullable":true},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.FileType":{"enum":["unknown","image","video","text","audio","directory"],"type":"string"},"Jylo.Toolkit.Constants.UploadFailedReason":{"enum":["outOfMemory","unsupportedFileType","badFile","uploadFailure","ocrPageLimitExceeded","unknownException","insufficientCredits","maliciousFile","fileScanTimedOut"],"type":"string"},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.BreadcrumbModel":{"required":["name"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"isDirectory":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.Toolkit.Constants.DocumentUploadSource":{"enum":["local","iManage","sharePoint"],"type":"string"},"Jylo.Toolkit.API.Models.Documents.DocumentMetadataReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.DocumentMetadataProperties":{"type":"object","properties":{"paragraphs":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Paragraph"},"nullable":true},"documentObjectIdentifier":{"type":"string","format":"uuid"},"documentType":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.EDocumentType"},"comparedDocumentObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Paragraph":{"required":["boundingRegions","content","objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"content":{"type":"string","nullable":true},"boundingRegions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Bounding"},"nullable":true},"role":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.DocumentEntities.Role"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Bounding":{"required":["points"],"type":"object","properties":{"points":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"page":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Toolkit.Entities.DocumentEntities.Role":{"enum":["title","sectionHeading","pageHeader","pageFooter","pageNumber"],"type":"string"},"Jylo.Toolkit.Entities.DocumentEntities.EDocumentType":{"enum":["standard","comparison"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants/{objectIdentifier}":{"put":{"tags":["Assistants"],"summary":"Update an assistant.","description":"Updates an assistant's settings such as its name, auto-rename behaviour, or the model it uses.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantUpdateModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantUpdateModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantUpdateModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Chat.AssistantReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete an assistant.

> Permanently deletes the specified assistant. Requires container administrator rights.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants/{objectIdentifier}":{"delete":{"tags":["Assistants"],"summary":"Delete an assistant.","description":"Permanently deletes the specified assistant. Requires container administrator rights.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get token length for documents.

> Returns the combined token length of the supplied documents so callers can check context-window limits.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Documents.DocumentIdsQueryModel":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants/query-token-length":{"post":{"tags":["Assistants"],"summary":"Get token length for documents.","description":"Returns the combined token length of the supplied documents so callers can check context-window limits.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentIdsQueryModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentIdsQueryModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentIdsQueryModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int64"}},"application/json":{"schema":{"type":"integer","format":"int64"}},"text/json":{"schema":{"type":"integer","format":"int64"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Export an assistant as PDF.

> Generates a PDF export of the assistant and returns it as a downloadable file.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants/{objectIdentifier}/export":{"post":{"tags":["Assistants"],"summary":"Export an assistant as PDF.","description":"Generates a PDF export of the assistant and returns it as a downloadable file.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Download a session file.

> Downloads a file generated by a tool during a chat session.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/assistants/{objectIdentifier}/session-files/{sessionFileIdentifier}":{"get":{"tags":["Assistants"],"summary":"Download a session file.","description":"Downloads a file generated by a tool during a chat session.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"sessionFileIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/projects/assistants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
